Subject: Re: [PATCH 03/10] atmel: hide unused procfs helpers

From: Kalle Valo <[email-masked]>
Date: Fri, 27 Jul 2018 12:24:40 +0300

(fixing top posting)

YueHaibing <[email-masked]> writes:

> On 2018/7/13 14:46, YueHaibing wrote:
>> When CONFIG_PROC_FS isn't set, gcc warning this:
>> 
>> drivers/net/wireless/atmel/atmel.c:1402:12: warning: ‘atmel_proc_show’ defined but not used [-Wunused-function]
>>  static int atmel_proc_show(struct seq_file *m, void *v)
>>             ^
>> fix this by adding #ifdef around it.
>> 
>> Signed-off-by: YueHaibing <[email-masked]>
>
> pls ignore this,my bad.

Why should I drop this? Does the patch have something wrong which I'm
missing?

I'm asking because I prefer this over Randy's version:

https://patchwork.kernel.org/patch/10512913/

-- 
Kalle Valo